|  | Home

# QtDateTimeEditFactory Class Reference

The QtDateTimeEditFactory class provides QDateTimeEdit widgets for properties created by QtDateTimePropertyManager objects. More...

     #include <QtDateTimeEditFactory>

Inherits QtAbstractEditorFactory<QtDateTimePropertyManager>.

- List of all members, including inherited members

### Public Functions

- QtDateTimeEditFactory ( QObject * parent = 0 )
- ~QtDateTimeEditFactory ()

- 5 public functions inherited from QtAbstractEditorFactory
- 1 public function inherited from QtAbstractEditorFactoryBase
- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 3 protected functions inherited from QtAbstractEditorFactory
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QtDateTimeEditFactory class provides QDateTimeEdit widgets for properties created by QtDateTimePropertyManager objects.

See also QtAbstractEditorFactory and QtDateTimePropertyManager.

## Member Function Documentation

### QtDateTimeEditFactory::QtDateTimeEditFactory ( QObject * parent = 0 )

Creates a factory with the given parent.

### QtDateTimeEditFactory::~QtDateTimeEditFactory ()

Destroys this factory, and all the widgets it has created.